Bug 177204 - Review Request: translate-toolkit - A collection of tools to assist software localization
Review Request: translate-toolkit - A collection of tools to assist software ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-07 07:27 EST by Roozbeh Pournader
Modified: 2014-07-02 07:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 10:27:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roozbeh Pournader 2006-01-07 07:27:41 EST
Spec Url: http://guava.farsiweb.info/~roozbeh/translate-toolkit.spec
SRPM Url: http://guava.farsiweb.info/~roozbeh/translate-toolkit-0.8-0.1.rc5.src.rpm

Description:
The Translate Toolkit includes programs to convert various localization
formats to the common gettext PO format and vice versa, and programs to
check and manage PO files. Also part of the package are programs to create
word counts, merge translations, and perform various checks on PO files.

Known issues:
rpmlint nags with messages like the following:

E: translate-toolkit non-executable-script /usr/lib/python2.4/site-packages/translate/convert/pot2po.py 0644

Which are because some python modules in the package start with "#!...", something that has helped upstream debug them. I believe the messages are ignorable.
Comment 1 Roozbeh Pournader 2006-01-08 05:08:49 EST
Updated version, now using the %{?dist} tag:

Spec Url: http://guava.farsiweb.info/~roozbeh/translate-toolkit.spec
SRPM Url: http://guava.farsiweb.info/~roozbeh/translate-toolkit-0.8-0.2.rc5.src.rpm
Comment 2 Roozbeh Pournader 2006-01-09 10:07:54 EST
Updated version, fixing a bug in pofilter which failed when some optional
requirements were not present:

Spec Url: http://guava.farsiweb.info/~roozbeh/translate-toolkit.spec
SRPM Url: http://guava.farsiweb.info/~roozbeh/translate-toolkit-0.8-0.3.rc5.src.rpm

Comment 3 Roozbeh Pournader 2006-01-21 09:22:20 EST
Updated version.
Spec Url: http://guava.farsiweb.info/~roozbeh/translate-toolkit.spec
SRPM Url: http://guava.farsiweb.info/~roozbeh/translate-toolkit-0.8-0.5.rc5.src.rpm

%changelog:
* Sat Jan 21 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.5.rc5
- Use sed instead of dos2unix

* Mon Jan 09 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.8-0.4.rc5
- Own forgotten subdirectories
Comment 4 Wart 2006-02-01 01:46:02 EST
I notice that rc6 was released yesterday.  Have you thought about upgrading?
Comment 5 Wart 2006-02-01 02:12:55 EST
MUST items:

* rpmlint produces many warnings of the type:
E: translate-toolkit non-executable-script
/usr/lib/python2.4/site-packages/translate/convert/pot2po.py 0644
These can be ignored as explained in the initial bug report.

* Package name matches upstream
* Source matches upstream
* License acceptible (GPL), text included
* Spec file is readable in Am. English.
* Compiles and rpm builds correctly on FC4 x86_64 and FC5 i386
* Not relocatable
* 0wns all directories it creates.
* No duplicate files
* buildroot cleaned during %clean and %install
* macro usage consistent
* Contains code, not content
* No shared libraries
* No need for -devel package
* No desktop file needed
* Builds cleanly in mock-FC4
CONSIDER:

* rc6 was released yesterday.  upgrade?

rc5 APPROVED.  Feel free to upgrade to rc6 after importing.
Comment 6 Roozbeh Pournader 2006-02-01 10:27:10 EST
Thanks a lot for the review. Imported and built. Filed rc6 enhancement request
as bug 179577.
Comment 7 Roozbeh Pournader 2007-05-05 10:58:07 EDT
Package Change Request
======================
Package Name: translate-toolkit
New Branches: EL-5
Comment 8 Dennis Gilmore 2007-05-05 11:08:19 EDT
branched for EL-5
Comment 9 Jens Petersen 2008-11-12 18:46:22 EST
I approved dwayne's request to comaintain this package since there has been no response from the packager owner (see also bug 427611, bug 315021, and bug 466608).
Comment 10 Michael Mráka 2014-07-02 07:17:07 EDT
Package Change Request
======================
Package Name: translate-toolkit
New Branches: epel7
Owners: mmraka

I'll be new EPEL co-maintainer for this package. I'm already the Fedora maintainer.
Comment 11 Jon Ciesla 2014-07-02 07:56:20 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.